Child Address Get All
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountName": "yaxep42303 elafans",
"accountNumber": "9012531900",
"address": {
"address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
}
},
"createdAt": "2025-11-04T20:54:41.190Z",
"derivationPath": "m/44'/60'/0'/0/50",
"id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
"isActive": false,
"metadata": null,
"name": "halima codesphere55",
"network": "mainnet",
"type": "INTERNAL",
"updatedAt": "2026-01-14T20:22:46.686Z"
},
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2026-01-22T00:10:08.930Z",
"currency": "NGN",
"customer": {
"createdAt": "2026-01-22T00:10:08.930Z",
"email": "[email protected]",
"id": "f5bc2440-c803-4f97-af74-4d818e866e9e",
"name": "yaxep42303 elafans",
"network": "mainnet",
"phone": "+2348037812345",
"status": "ACTIVE",
"updatedAt": "2026-01-22T00:10:08.930Z"
},
"id": "cfba2716-a97c-4d16-8b2a-6dd7f89b4259",
"isActive": true,
"label": null,
"reference": "176",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-22T00:10:08.930Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
},
{
"accountName": "halima codesphere55",
"accountNumber": "9016547710",
"address": {
"address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
}
},
"createdAt": "2025-11-04T20:54:41.190Z",
"derivationPath": "m/44'/60'/0'/0/50",
"id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
"isActive": false,
"metadata": null,
"name": "halima codesphere55",
"network": "mainnet",
"type": "INTERNAL",
"updatedAt": "2026-01-14T20:22:46.686Z"
},
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2025-11-28T06:06:06.505Z",
"currency": "NGN",
"customer": {
"createdAt": "2025-11-28T06:06:06.505Z",
"email": "[email protected]",
"id": "7733fd94-2bfa-49ca-88df-6b3d324b4a45",
"name": "halima codesphere55",
"network": "mainnet",
"phone": "+2348536898286",
"status": "ACTIVE",
"updatedAt": "2025-11-28T06:06:06.505Z"
},
"id": "b85adfd0-c961-48c8-8512-cd9563d08a90",
"isActive": true,
"label": null,
"reference": "74",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-22T00:08:34.742Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
}
],
"message": "Virtual accounts retrieved successfully",
"meta": {
"currentPage": 1,
"itemCount": 2,
"itemsPerPage": 10,
"totalItems": 2,
"totalPages": 1
},
"statusCode": 200
}Child Address Get All
This endpoint is used to retrieve the virtual account associated with a specific child address.
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
Child Address Get All
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"ADDRESS_ID"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"accountName": "yaxep42303 elafans",
"accountNumber": "9012531900",
"address": {
"address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
}
},
"createdAt": "2025-11-04T20:54:41.190Z",
"derivationPath": "m/44'/60'/0'/0/50",
"id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
"isActive": false,
"metadata": null,
"name": "halima codesphere55",
"network": "mainnet",
"type": "INTERNAL",
"updatedAt": "2026-01-14T20:22:46.686Z"
},
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2026-01-22T00:10:08.930Z",
"currency": "NGN",
"customer": {
"createdAt": "2026-01-22T00:10:08.930Z",
"email": "[email protected]",
"id": "f5bc2440-c803-4f97-af74-4d818e866e9e",
"name": "yaxep42303 elafans",
"network": "mainnet",
"phone": "+2348037812345",
"status": "ACTIVE",
"updatedAt": "2026-01-22T00:10:08.930Z"
},
"id": "cfba2716-a97c-4d16-8b2a-6dd7f89b4259",
"isActive": true,
"label": null,
"reference": "176",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-22T00:10:08.930Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
},
{
"accountName": "halima codesphere55",
"accountNumber": "9016547710",
"address": {
"address": "0xbaD4E4B5e6660AcD138F776a992b566e8Bf3bb15",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
}
},
"createdAt": "2025-11-04T20:54:41.190Z",
"derivationPath": "m/44'/60'/0'/0/50",
"id": "af8b6e52-a734-479a-8ccb-7ff0610afd44",
"isActive": false,
"metadata": null,
"name": "halima codesphere55",
"network": "mainnet",
"type": "INTERNAL",
"updatedAt": "2026-01-14T20:22:46.686Z"
},
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2025-11-28T06:06:06.505Z",
"currency": "NGN",
"customer": {
"createdAt": "2025-11-28T06:06:06.505Z",
"email": "[email protected]",
"id": "7733fd94-2bfa-49ca-88df-6b3d324b4a45",
"name": "halima codesphere55",
"network": "mainnet",
"phone": "+2348536898286",
"status": "ACTIVE",
"updatedAt": "2025-11-28T06:06:06.505Z"
},
"id": "b85adfd0-c961-48c8-8512-cd9563d08a90",
"isActive": true,
"label": null,
"reference": "74",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-22T00:08:34.742Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
}
]
Example:
"Virtual accounts retrieved successfully"
Show child attributes
Show child attributes
Example:
200
⌘I

